aboutsummaryrefslogtreecommitdiffstats
path: root/main/apache2/APKBUILD
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2015-11-03 17:13:43 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2015-11-04 10:31:16 +0000
commit5ae6da40775cc0c4262b77c1563ff637065a4c5d (patch)
tree555334b6c9e7f9dd540e250ec20fd40f80f3437d /main/apache2/APKBUILD
parente30fdf8f6a2860c012793feb0378b5ae476aabfe (diff)
downloadaports-5ae6da40775cc0c4262b77c1563ff637065a4c5d.tar.gz
aports-5ae6da40775cc0c4262b77c1563ff637065a4c5d.tar.bz2
aports-5ae6da40775cc0c4262b77c1563ff637065a4c5d.tar.xz
main/apache2: upgrade to 2.4.17, +some cleanups
Diffstat (limited to 'main/apache2/APKBUILD')
-rw-r--r--main/apache2/APKBUILD77
1 files changed, 44 insertions, 33 deletions
diff --git a/main/apache2/APKBUILD b/main/apache2/APKBUILD
index fded8bd83e..2eb2010a34 100644
--- a/main/apache2/APKBUILD
+++ b/main/apache2/APKBUILD
@@ -1,6 +1,8 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
pkgname=apache2
-pkgver=2.4.16
+_pkgreal=httpd
+pkgver=2.4.17
pkgrel=0
pkgdesc="A high performance Unix-based HTTP server"
url="http://httpd.apache.org/"
@@ -12,12 +14,12 @@ pkgusers="apache"
pkggroups="apache"
makedepends="apr-dev apr-util-dev autoconf automake libxml2-dev lua-dev
openssl-dev pcre-dev sed zlib-dev"
-subpackages="$pkgname-dev $pkgname-doc $pkgname-utils $pkgname-ssl
+subpackages="$pkgname-extra $pkgname-doc $pkgname-dev $pkgname-utils $pkgname-ssl
$pkgname-ldap $pkgname-webdav
$pkgname-proxy-html:proxy_html
$pkgname-proxy
$pkgname-lua:_lua"
-source="http://archive.apache.org/dist/httpd/httpd-$pkgver.tar.bz2
+source="http://archive.apache.org/dist/$_pkgreal/$_pkgreal-$pkgver.tar.bz2
apache2.confd
apache2.logrotate
apache2.initd
@@ -31,25 +33,23 @@ source="http://archive.apache.org/dist/httpd/httpd-$pkgver.tar.bz2
"
options="suid"
-_builddir="$srcdir"/httpd-$pkgver
+_builddir="$srcdir"/$_pkgreal-$pkgver
prepare() {
- cd "$srcdir"/httpd-$pkgver
+ cd "$_builddir"
cat "$srcdir/alpine.layout" >> config.layout
}
build() {
- cd "$srcdir"/httpd-$pkgver
+ cd "$_builddir"
./configure \
- --build=$CBUILD \
- --host=$CHOST \
--prefix=/usr \
--enable-layout=Alpine \
--enable-so \
--enable-suexec \
--with-suexec-caller=http \
--with-suexec-docroot=/var/www/localhost/htdocs \
- --with-suexec-logfile=/var/log/httpd/suexec.log \
+ --with-suexec-logfile=/var/log/apache2/suexec.log \
--with-suexec-bin=/usr/sbin/suexec \
--with-suexec-uidmin=99 \
--with-suexec-gidmin=99 \
@@ -86,10 +86,11 @@ build() {
}
package() {
- cd "$srcdir"/httpd-$pkgver
+ cd "$_builddir"
make -j1 DESTDIR="$pkgdir" install || return 1
# config
rm -r "$pkgdir"/etc/apache2/httpd.conf \
+ "$pkgdir"/etc/apache2/original \
"$pkgdir"/etc/apache2/extra
install -D -m644 "$srcdir"/httpd.conf "$pkgdir"/etc/apache2/httpd.conf \
|| return 1
@@ -105,9 +106,9 @@ package() {
install -d "$pkgdir"/var/www || return 1
ln -fs /var/log/apache2 "$pkgdir"/var/www/logs
- ln -fs /var/run/apache2 "$pkgdir"/var/www/run
+ ln -fs /run/apache2 "$pkgdir"/var/www/run
ln -fs /usr/lib/apache2 "$pkgdir"/var/www/modules
- ln -fs /etc/apache2/conf.d "$pkgdir"/var/www/conf.d
+ rm -fr "$pkgdir"/run
# verify all MPMs are built
# ref #2866
@@ -119,6 +120,15 @@ package() {
done
}
+extra() {
+ arch="noarch"
+ pkgdesc="Apache Multi Language Custom Error Documents and Public Domain Icons"
+ install -d "$subpkgdir"/usr/share/apache2
+ mv "$pkgdir"/usr/share/apache2/error \
+ "$pkgdir"/usr/share/apache2/icons \
+ "$subpkgdir"/usr/share/apache2/ || return 1
+}
+
# include the builddir and apxs in -dev package
dev() {
local _mpm
@@ -128,14 +138,15 @@ dev() {
arch="noarch"
# install apxs utility
- install -d "$subpkgdir"/usr/bin || return 1
+ install -d "$subpkgdir"/usr/bin
mv "$pkgdir"/usr/bin/apxs \
"$subpkgdir"/usr/bin/apxs || return 1
- install -d "$subpkgdir"/usr/share/apache2/build
- mv "$pkgdir"/usr/share/apache2/build/* \
- "$subpkgdir"/usr/share/apache2/build/ || return 1
+ install -d "$subpkgdir"/usr/share/apache2
+ mv "$pkgdir"/usr/share/apache2/build \
+ "$subpkgdir"/usr/share/apache2/ || return 1
+ rm -fr "$pkgdir"/usr/share
}
utils() {
@@ -143,7 +154,7 @@ utils() {
pkgdesc="Apache utility programs for webservers"
install -d "$subpkgdir"/usr/sbin || return 1
mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
- for i in checkgid htcacheclean rotatelogs; do
+ for i in checkgid htcacheclean rotatelogs apachectl envvars*; do
mv "$pkgdir"/usr/sbin/$i "$subpkgdir"/usr/sbin/ || return 1
done
}
@@ -179,7 +190,7 @@ webdav() {
replaces="apache2"
install -d "$subpkgdir"/usr/lib/apache2 || return 1
- mv "$pkgdir"/usr/lib/apache2/mod_*dav.so \
+ mv "$pkgdir"/usr/lib/apache2/mod_dav.so \
"$pkgdir"/usr/lib/apache2/mod_dav_*.so \
"$subpkgdir"/usr/lib/apache2/ || return 1
install -D -m644 "$_builddir"/docs/conf/extra/httpd-dav.conf \
@@ -219,36 +230,36 @@ _lua() {
}
-md5sums="2b19cd338fd526dd5a63c57b1e9bfee2 httpd-2.4.16.tar.bz2
-e322b5211e49511cac6e40c86af1b1da apache2.confd
-75fe4138b98fcffd01b8c8c077b944f3 apache2.logrotate
-83c2ac51dbd0a68506902f9f6f4dfd24 apache2.initd
+md5sums="cf4dfee11132cde836022f196611a8b7 httpd-2.4.17.tar.bz2
+257d2572921dd4506b0464441f88fab4 apache2.confd
+8519af87c57b50441866ad4216e4d663 apache2.logrotate
+11b2718d7a0550498aaddf41e940ad04 apache2.initd
d99af87f64688e7e62703ca27fcfe3bd httpd.conf
fd2d16bda774c7a28668b0652ebc7ab8 ssl.conf
b70fe826486043e3953cfe21f9e6fa16 ldap.conf
fe26a0a70f572eb256a3c6c183a62223 proxy-html.conf
96eddccfca1ec0349f844e2460cf655b proxy.conf
449a4aea60473ac4a16f025fca4463e3 lua.conf
-c66ff5f70260d5266e6803a59b39bd7f alpine.layout"
-sha256sums="ac660b47aaa7887779a6430404dcb40c0b04f90ea69e7bd49a40552e9ff13743 httpd-2.4.16.tar.bz2
-8b0ce62fc4e7cea3801744969d0b2390e28e4d11dd533816eb91e9d7af225500 apache2.confd
-dabf43e11c941125c771d2f4f5dadd1038906420716b747dfc8f5a946a0bdad5 apache2.logrotate
-2ead4e8a26f3cffae1d7b52c7662ee3edfbcc573b01f87e96af127ee0c31a3e6 apache2.initd
+699aec01d2f7c5a67c10d0fe280780b7 alpine.layout"
+sha256sums="331e035dec81d3db95b048f036f4d7b1a97ec8daa5b377bde42d4ccf1f2eb798 httpd-2.4.17.tar.bz2
+6ca904ad65c1a4122d8ea4a3303ea8184429a4a4d7fb81defc30f3e184258c0a apache2.confd
+8e2a8870d51796cf04cc7d8985c43e36afe9ae79e2d6765050a0e72c0de8dce7 apache2.logrotate
+8761faa68c2db7114b3f463f3b8ef1aec8f8373da9908d943cc765765914ab36 apache2.initd
758f7dca0070544697247e42338fc72511eb8927055fc66e8b1b39592b236e67 httpd.conf
75519a29d04e20383097477801dd6cc9bb6ca325aa514bf69081429d73b21012 ssl.conf
25771023d7c921a13c792607d47bd716c92698b20af21c018f0922eaf79a9604 ldap.conf
2511d6ea64c0f253b219670c445ed4f403f94caba5fb05e0b9600f0d107e1dda proxy-html.conf
00c42b7806eaa73e732be9d9e92c3e841b20c6d91a9920be47f19db8aee3513e proxy.conf
edf701795137566c7cf4b9c0c95ecd5f8c58269f5600217a0a4d289d2bf15384 lua.conf
-cf0033a245d1d7752539613b6c92beaea9c0a755e7a877c8d41a2d4fd0f3eb22 alpine.layout"
-sha512sums="039750ff962c08a7261896acc8272e59874d066f7d52721aaf967ddb737fc5716acc47e1effaf7c4d156ba61bc393e0738f64f8e89cc277ba2651e0f61d56628 httpd-2.4.16.tar.bz2
-e0a0b87889eff01e8a1ee21853d26c0307ceb87428727e60819d29644d8e54e9bfc08c197924567bed26befc904f8384af19516aea849f3cd6859d76b175b742 apache2.confd
-566a8c469ef148dfbb9449e91d6fb93baf85d06a31a52c283a7e402aef7bfa8b46c34ebed91c76b3e5a2cc606660145e8fc63fa41bdb22574c7efc4fc4d993e5 apache2.logrotate
-bb4056c9819996a41a920d53b01bd9fedcdb6227fde79d2bf7e81d96ce841c53fbd1a5550bc2d4fc3f88197ed71c4d2cc532056dfe603e32283fec9a5fc91385 apache2.initd
+c40668ae8384d0555488660b68eda16ad8ccb11fde16a8197d33bed739fed1e8 alpine.layout"
+sha512sums="d818dbd4b138db592a98fecdf5ae13dfadc19f9553e98bdafbdadd4693ae19bb44c96c8c279e9546978bbce55b9286ce3c4ae69cf701a9812be134a3a517b1f6 httpd-2.4.17.tar.bz2
+8e62b101f90c67babe864bcb74f711656180b011df3fd4b541dc766b980b72aa409e86debf3559a55be359471c1cad81b8779ef3a55add8d368229fc7e9544fc apache2.confd
+18e8859c7d99c4483792a5fd20127873aad8fa396cafbdb6f2c4253451ffe7a1093a3859ce719375e0769739c93704c88897bd087c63e1ef585e26dcc1f5dd9b apache2.logrotate
+81a2d2a297d8049ba1b021b879ec863767149e056d9bdb2ac8acf63572b254935ec96c2e1580eba86639ea56433eec5c41341e4f1501f9072745dccdb3602701 apache2.initd
ddbf077826ea16c9ecafea7b606adad04d5f4ce126f0d64fe677d9b6f4d81fddcd83a3f9d73c5c734ea0012e69c44c9d81bd0d4864aa4111045ab20f68cfbd13 httpd.conf
c164caf143993d0c2a93766988a2480232b0f42731c291e56b9ddc03c9fe6e02994b9e7adfdcde1b49e2bcb43f4c90ba1e2e2af74ac3b7e1dbebd8baadc63a18 ssl.conf
fbdc28ea4b94af91640794945ac4e1f45e4200e54d5bdf64c0c03fc8bdb589e444cc4f7dd0b70b696c0e5e033c8489b8bd8f8fd090906c4379651c7d032c2449 ldap.conf
263149f4a0b515e3b6d162ff282ffa90f8a448c10eb7185aec0caf75af7691b5486fa74ebe4fd46ae0ccdcf226a227705b4be4c23ed12b6d0c0aedd94a348810 proxy-html.conf
aabbe171219f15efe47f8e972fc1a43f98b48977aae91b597b65bb447027992bf81757bde68b26a67e5e3b9f2e748d94b3c85d5c07433627b6048d60a51d400b proxy.conf
f2950005ac0d8c7a5e34958f1274c9ed0f5f634a5bc766e12834917937df9db901c5fc2460da70e1a62f17440d4719163cd4213496dbf579c80a789b8e18f65c lua.conf
-30faedf3683e1600d9505dc593b0193359eed7e3d925da772ba795b1354171821233072293105d0da41376b2561823fa48c2406f07276648a87b858dcf323c5e alpine.layout"
+177c58d049fc4476fd9b9b36b67725145777c84cf81948105c9314cb09312dff6c1931fe21aaa243597abaefded6c6dfd80d83839e45a23950b50de615d73b06 alpine.layout"